## python-pyspoa 0.0.8

=== Makefile ===
build:
	python3 setup.py develop

test: build
	python3 tests/test_pyspoa.py

clean:
	rm -rf src/build build tmp *~
	python setup.py clean

=== requirements.txt ===
wheel>=0.34.1
pybind11>=2.4
auditwheel>=3.1.0
scikit-build==0.11.1

=== debian/changelog ===
python-pyspoa (0.0.8-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:02:52 +0000

python-pyspoa (0.0.8-2) unstable; urgency=medium

  * Source-only Upload.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 19 Aug 2021 16:52:18 +0530

python-pyspoa (0.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #990896)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Jul 2021 00:27:18 +0530

=== debian/control ===
Source: python-pyspoa
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
Testsuite: autopkgtest-pkg-python
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 libspoa-dev,
 python3-pybind11
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/python-pyspoa
Vcs-Git: https://salsa.debian.org/med-team/python-pyspoa.git
Homepage: https://github.com/nanoporetech/pyspoa
Rules-Requires-Root: no

Package: python3-pyspoa
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings to spoa
 Spoa (SIMD POA) is a c++ implementation of the partial order alignment
 (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which
 is used to generate consensus sequences (as described in
 10.1093/bioinformatics/btg109). It supports three alignment modes: local
 (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment
 (overlap).
 .
 This package presents Python bindings for the spoa library

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} tests/test_pyspoa.py"
endif

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/nanoporetech/pyspoa/releases .*/archive/.*/v?@ANY_VERSION@\.tar\.gz

## python-pyspoa 0.0.9

=== debian/changelog ===
python-pyspoa (0.0.9-1) unstable; urgency=medium

  * New upstream version 0.0.9
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Update adjust-spoa-lib.patch

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Jun 2023 21:30:48 +0530

python-pyspoa (0.0.8-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 19:22:16 +0200

## python-pyspoa 0.0.10

=== Makefile ===
build:
	pip wheel . -w dist

install: build
	pip install dist/pyspoa*.whl

test: install
	python3 tests/test_pyspoa.py

clean:
	rm -rf src/build build tmp var *~ *.whl __pycache__
	python setup.py clean
	pip uninstall -y pyspoa

=== debian/changelog ===
python-pyspoa (0.0.10-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:48:29 +0000

python-pyspoa (0.0.10-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:51:13 +0000

python-pyspoa (0.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0.10
  * adjust-spoa-lib.patch: refresh.
  * d/rules: enable hardening.

 -- Étienne Mollier <emollier@debian.org>  Tue, 26 Sep 2023 21:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  libspoa-dev,
  python3-pybind11
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pyspoa
 Vcs-Git: https://salsa.debian.org/med-team/python-pyspoa.git
 Homepage: https://github.com/nanoporetech/pyspoa

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-pyspoa 0.2.1

=== Makefile ===
PYTHON ?= python3

IN_VENV=. ./venv/bin/activate

venv/bin/activate:
	test -d venv || $(PYTHON) -m venv venv
	${IN_VENV} && pip install pip --upgrade

.PHONY: build
build: venv/bin/activate
	${IN_VENV} && pip wheel . -w dist

.PHONY: install
install: build
	${IN_VENV} && pip install dist/pyspoa*.whl

.PHONY: test
test: install
	${IN_VENV} && python tests/test_pyspoa.py

sdist: venv/bin/activate
	${IN_VENV} && python setup.py sdist

IN_BUILD=. ./pypi_build/bin/activate
pypi_build/bin/activate:
	test -d pypi_build || $(PYTHON) -m venv pypi_build --prompt "(pypi) "
	${IN_BUILD} && pip install pip --upgrade
	${IN_BUILD} && pip install --upgrade pip setuptools twine wheel readme_renderer[md] keyrings.alt

clean:
	rm -rf dist wheelhouse-final venv pypi_build src/build build tmp var *~ *.whl __pycache__
	python setup.py clean
	pip uninstall -y pyspoa

=== debian/changelog ===
python-pyspoa (0.2.1-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:09:21 +0000

python-pyspoa (0.2.1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:17:02 +0000

python-pyspoa (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: pyspoa is now shipped under BSD-4-Clause.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Feb 2025 12:58:22 +0100

python-pyspoa (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1045607
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2024 22:36:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf tmp
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/nanoporetech/pyspoa/tags .*/v?@ANY_VERSION@\.tar\.gz

## python-pyspoa 0.3.2

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	${IN_VENV} && python tests/test_pyspoa.py
 
 sdist: venv/bin/activate
-	${IN_VENV} && python setup.py sdist
+	${IN_VENV} && pip install setuptools && python setup.py sdist
 
 IN_BUILD=. ./pypi_build/bin/activate
 pypi_build/bin/activate:

=== debian/changelog ===
python-pyspoa (0.3.2-1) unstable; urgency=medium

  [ Aryan Karamtoth ]
  * Package Adoption
  * Added gbp.conf
  * Standards-Version: 4.7.2

  [ Andreas Tille ]
  * d/watch: version=5

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Tue, 09 Dec 2025 11:39:22 +0530

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>,
+Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
 Testsuite: autopkgtest-pkg-python
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all-dev,
  python3-setuptools,
  libspoa-dev,
  python3-pybind11
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pyspoa
 Vcs-Git: https://salsa.debian.org/med-team/python-pyspoa.git
 Homepage: https://github.com/nanoporetech/pyspoa

=== debian/watch ===
Version: 5

Template: Github
Owner: nanoporetech
Project: pyspoa
